Entwurf Anordnung

From FreeCAD Documentation
Revision as of 09:22, 17 January 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Anordnung

Menüeintrag
Entwurf → Anordnung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
PfadDatenfeld, Draft PointArray, Draft Klonen

Beschreibung

Mit dem Werkzeug Feld (Array) kann ein Objekt mithilfe von Kopien seiner selbst zu Feldern mit linearer oder kreisförmiger Struktur erweitert werden.

Lineare Felder können 1- bis 3-dimensional sein: lineare Anordnung in eine (Reihe), zwei (Feld) oder drei (Felder übereinander) Richtungen. Die drei Richtungen sind unabhängig vom internen kartesischen Koordinatensystem und unabhängig voneinander wählbar.

Ein polares Feld besteht nur aus dem auf einem Kreis angeordneten Objekt und seinen Kopien.

The Draft Array tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

Dieses Werkzeug kann mit 2D-Formen verwendet werden, die mit dem Draft-Arbeitsbereich erstellt wurden, kann aber auch mit vielen Arten von 3D-Objekten benutzt werden, wie die mit dem Part-Arbeitsbereich oder PartDesign-Arbeitsbereich erzeugten.

To create polar and circular arrays directly, use the corresponding PolarArray and CircularArray tools; to position copies along a path use PathArray; to position copies at specified points use PointArray; to create copies or clones, and manually place them use Move, Rotate, and Clone.

To create App Links instead of simple copies, use LinkArray, Path LinkArray, and the proper option with PolarArray and CircularArray .

Eine rechtwinklige und eine kreisförmige Anordung aus einem Festkörperobjekt

Circular array from a solid object

Anwendung

Status: FreeCAD-Version 0.16

  1. Wähle das für ein Feld vorgesehene Objekt.
  2. Klicke auf Draft Array.
  3. Wähle den Feld-Typ (DatenArray Type)
  4. Für den Feld-Typ linear (ortho) wähle:
    1. Zahl der Objekte:
      1. in erster Richtung (DatenNumber X)
      2. in zweiter Richtung (DatenNumber Y)
      3. in dritter Richtung (DatenNumber Z)
    2. Abstand zwischen den Objekten:
      1. in erster Richtung (DatenInterval X)
      2. in zweiter Richtung (DatenInterval Y)
      3. in dritter Richtung (DatenInterval Z);
      4. Anmerkung: Die drei Richtungen stimmen mit den Achsrichtungen des internen x-y-z-Koordinatensystems überein, wenn man für die erste nur einen Abstands-Wert für x, für die zweite nur einen für y und für die dritte nur einen für z einsetzt.
  5. Für den Feld-Typ polar (polar) wähle:
    1. Zahl der Objekte (DatenNumber Polar)
    2. Richtung der Feld-Achse (DatenAxis)
    3. Mittelpunkt des Feldes (DatenCenter)
    4. Sektorwinkel des Feldes (DatenAngle)
    5. Für jede neue Kopie des Objekts lässt sich die Feld-Achse neu positionieren (DatenInterval Axis). Bei Angabe eines z-Wertes (Feldachse sei zur z-Achse parallel) wandern die Kopien in dieser Richtung, sie liegen auf einer Schraubenlinie. Mit von Null verschiedenen y- und/oder z-Werten wird das Ergebnis unübersichtlich.
  6. Wähle wahr (true) für Vereinigen (DatenFuse), wenn die Objekte des Feldes zu einem einzigen Objekt vereinigt werden sollen.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Properties

  • DatenBase: specifies the object to duplicate in the array.
  • DatenArray Type (Enumeration): specifies the type of array to create, "ortho", "polar", or "circular".
  • DatenFuse: if it is true, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DatenInterval X: specifies the interval between each copy on the X axis.
  • DatenInterval Y: specifies the interval between each copy on the Y axis.
  • DatenInterval Z: specifies the interval between each copy on the Z axis.
  • DatenNumber X: specifies the number of copies on the X axis.
  • DatenNumber Y: specifies the number of copies on the Y axis.
  • DatenNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DatenAxis: specifies the normal direction of the array circle.
  • DatenCenter: specifies the center point of the array circle.
  • DatenAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DatenNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DatenInterval Axis: specifies the interval between each copy on the DatenAxis direction.

For circular arrays:

  • DatenNumber Circles:
  • DatenRadial distance:
  • DatenSymmetry:
  • DatenTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DatenInterval X is (2 m, 1 m, 1 m), and DatenNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DatenInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DatenInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Einfache Anordnung

Für eine rechteckige Anordnung:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Für eine polare Anordnung:

array_list = array(objectslist, center, totalangle, totalnum)
  • Erstellt eine Anordnung der in einer Liste enthaltenen Objekte (das kann ein Objekt oder eine Liste von Objekten sein).
    • Im Falle einer rechteckigen Anordnung mit xnum Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • Im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekte, inklusive dem Original.
  • Diese Funktion erstellt eigenständige Kopien des Basisobjekts (der B-Objekte)

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametrische Anordnung

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Zur Erstellung einer rechtwinkligen Anordnung benutze es wie folgt:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Zur Erstellung einer polaren Anordnung benutze es wie folgt:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Erstellt eine Anordnung des angegebenen Objekts
    • im Falle einer rechteckigen Anordnung, xnum von Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekt, inklusive dem Original.
  • Das Ergebnis dieser Funktion ist ein parametrische Draft Anordnungsobjekt

Beispiel:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)